package pastee

import "github.com/google/go-querystring/query"

type PasteGetOptions struct {
	Urls       bool   `url:"urls,omitempty"`
	TimeFormat string `url:"time_format,omitempty"`
	Key        string `url:"-"`
}

func (o PasteGetOptions) encode() string {
	v, err := query.Values(o)

	if err != nil {
		return ""
	}

	return v.Encode()
}

type PasteListOptions struct {
	PerPage int `url:"perpage"`
	Page    int `url:"page,omitempty"`
}

func (o PasteListOptions) encode() string {
	if o.PerPage == 0 {
		o.PerPage = 25
	}

	if o.Page == 0 {
		o.Page = 1
	}

	v, err := query.Values(o)

	if err != nil {
		return ""
	}

	return v.Encode()
}
